## shibboleth-sp2 2.5.5+dfsg1

=== debian/changelog ===
shibboleth-sp2 (2.5.5+dfsg1-1) unstable; urgency=medium

  * [62d4d8a] Add debian/gbp.conf for DEP-14 layout
  * [06926cf] Run wrap-and-sort -ast on the package
  * [9c6bd0a] Correct my name in Uploaders
  * [c67b7e5] Switch watch file to check for bzip-compressed archives
  * [c5c45a4] Check signature in watch file
  * [de0f61d] Upstream version 2.5.5
  * [c5b1307] Refresh patches
  * [a6ccea4] Reset native.logger (Apache module logs) to upstream behavior
  * [f1946c9] Rename libshibsp6 package to libshibsp6v5 (Closes: #797770)
  * [d271e5e] dh_auto_configure uses --disable-dependency-tracking by default
  * [20863ed] The default compressor is xz since jessie
  * [e17229c] Enable all hardening features
  * [0d96798] Update Standards-Version to 3.9.6 (no changes needed)
  * [4a20cce] Remove relics of the package split before jessie
  * [1ccc9e2] Include the js files in the doc-base Files declaration
  * [0c68702] Really enable debug mode in noopt builds
  * [502e709] Ship the installed documentation, not the one from the build tree
  * [e227a3b] Remove superfluous configure arguments
  * [9d9dc63] Upstream added systemd support, enable it
  * [f636fbe] The DOCS variable is unused since we stopped symlinking Doxygen's
    jQuery
  * [3d6bc29] Cut down repetition in manpage installation
  * [a2c6325] Support repacking by uscan
  * [cc7b5dd] Simplify the get-orig-source target
  * [179ec31] Enable parallel builds
  * [e2e71ac] Remove Amazon Linux init script
  * [cec9a85] We've got an apache2-api-YYYYMMNN dependency next to apache2-bin
  * [f3e2015] Switch to secure VCS URIs as Lintian suggests
  * [0a3d5c7] Try harder to override the jQuery Lintian warning
  * [9cda82e] New patches fixing typos
  * [f3021a8] Update debian/copyright
  * [fe391f3] /var/log/shibboleth is filled by shibd, part of shibboleth-
    sp2-utils
  * [059b366] Add cache and log dir to shibboleth-sp2-utils with suitable
    statoverrides
  * [1cb6750] Update TestShib instructions
  * [358c705] More detailed manual for shib-keygen -b

 -- Ferenc Wágner <wferi@niif.hu>  Tue, 26 Jan 2016 21:09:23 +0100

shibboleth-sp2 (2.5.3+dfsg-2.1) unstable; urgency=medium

  * Non maintainer upload.
  * Call cpp with -P for boost config. Closes: #778117.

 -- Matthias Klose <doko@debian.org>  Mon, 13 Jul 2015 15:56:14 +0200

shibboleth-sp2 (2.5.3+dfsg-2) unstable; urgency=high

  * Incorporate security fix from V2.5.4 for CVE-2015-2684: authenticated
    denial of service vulnerability that results in a crash on certain
    kinds of malformed SAML messages.

 -- Ferenc Wagner <wferi@niif.hu>  Tue, 24 Mar 2015 08:55:06 +0100
