=== debian/control ===
Source: shibboleth-sp2
Section: web
Priority: extra
Maintainer: Debian Shib Team <pkg-shibboleth-devel@lists.alioth.debian.org>
Uploaders:
 Russ Allbery <rra@debian.org>,
 Ferenc Wágner <wferi@niif.hu>,
 Faidon Liambotis <paravoid@debian.org>,
Build-Depends:
 apache2-dev (>> 2.4.4),
 debhelper (>= 9),
 dh-apache2,
 dh-autoreconf,
 doxygen,
 graphviz,
 libboost-dev,
 libfcgi-dev,
 libkrb5-dev,
 liblog4shib-dev,
 libmemcached-dev (>= 1.0),
 libsaml2-dev (>= 2.5),
 libssl-dev,
 libsystemd-daemon-dev,
 libxerces-c-dev,
 libxml-security-c-dev (>= 1.7),
 libxmltooling-dev (>= 1.5),
 opensaml2-schemas,
 pkg-config,
 unixodbc-dev,
 xmltooling-schemas,
Standards-Version: 3.9.6
Homepage: http://shibboleth.net/
Vcs-Git: https://anonscm.debian.org/git/pkg-shibboleth/shibboleth-sp2.git
Vcs-Browser: https://anonscm.debian.org/cgit/pkg-shibboleth/shibboleth-sp2.git/

Package: libapache2-mod-shib2
Section: httpd
Architecture: any
Depends:
 libshibsp-plugins (= ${binary:Version}),
 shibboleth-sp2-utils (>= 2.5),
 ${misc:Depends},
 ${shlibs:Depends},
Description: Federated web single sign-on system (Apache module)
 The Shibboleth System is a standards based software package for web
 single sign-on across or within organizational boundaries.  It supports
 authorization and attribute exchange using the OASIS SAML 2.0 protocol.
 Shibboleth allows sites to make informed authorization decisions for
 individual access of protected online resources while allowing users to
 establish their identities with their local authentication systems.
 .
 This package contains the Shibboleth Apache module for service providers
 (web servers providing resources protected by Shibboleth) and the
 supporting shibd daemon.

Package: libshibsp6v5
Section: libs
Architecture: any
Multi-Arch: same
Pre-Depends:
 ${misc:Pre-Depends},
Depends:
 opensaml2-schemas (>= 2.5),
 shibboleth-sp2-common (>= 2.5),
 xmltooling-schemas (>= 1.5),
 ${misc:Depends},
 ${shlibs:Depends},
Conflicts:
 libshibsp6,
Replaces:
 libshibsp6,
Description: Federated web single sign-on system (runtime)
 The Shibboleth System is a standards based software package for web
 single sign-on across or within organizational boundaries.  It supports
 authorization and attribute exchange using the OASIS SAML 2.0 protocol.
 Shibboleth allows sites to make informed authorization decisions for
 individual access of protected online resources while allowing users to
 establish their identities with their local authentication systems.
 .
 This package contains the Shibboleth SP runtime library.

Package: libshibsp-plugins
Section: libs
Architecture: any
Multi-Arch: same
Depends:
 ${misc:Depends},
 ${shlibs:Depends},
Description: Federated web single sign-on system (plugins)
 The Shibboleth System is a standards based software package for web
 single sign-on across or within organizational boundaries.  It supports
 authorization and attribute exchange using the OASIS SAML 2.0 protocol.
 Shibboleth allows sites to make informed authorization decisions for
 individual access of protected online resources while allowing users to
 establish their identities with their local authentication systems.
 .
 This package contains plugins for the Shibboleth SP library.

Package: libshibsp-dev
Section: libdevel
Architecture: any
Multi-Arch: same
Depends:
 libsaml2-dev (>= 2.5),
 libshibsp6v5 (= ${binary:Version}),
 libxerces-c-dev,
 libxmltooling-dev (>= 1.5),
 ${misc:Depends},
Suggests:
 libshibsp-doc,
Description: Federated web single sign-on system (development)
 The Shibboleth System is a standards based software package for web
 single sign-on across or within organizational boundaries.  It supports
 authorization and attribute exchange using the OASIS SAML 2.0 protocol.
 Shibboleth allows sites to make informed authorization decisions for
 individual access of protected online resources while allowing users to
 establish their identities with their local authentication systems.
 .
 This package contains the headers and other necessary files to build
 applications that use the Shibboleth SP library.

Package: libshibsp-doc
Section: doc
Architecture: all
Multi-Arch: foreign
Depends:
 ${misc:Depends},
Description: Federated web single sign-on system (API docs)
 The Shibboleth System is a standards based software package for web
 single sign-on across or within organizational boundaries.  It supports
 authorization and attribute exchange using the OASIS SAML 2.0 protocol.
 Shibboleth allows sites to make informed authorization decisions for
 individual access of protected online resources while allowing users to
 establish their identities with their local authentication systems.
 .
 This package contains the Shibboleth SP library API documentation.

Package: shibboleth-sp2-common
Section: libs
Architecture: all
Multi-Arch: foreign
Depends:
 ${misc:Depends},
Description: Federated web single sign-on system (common files)
 The Shibboleth System is a standards based software package for web
 single sign-on across or within organizational boundaries.  It supports
 authorization and attribute exchange using the OASIS SAML 2.0 protocol.
 Shibboleth allows sites to make informed authorization decisions for
 individual access of protected online resources while allowing users to
 establish their identities with their local authentication systems.
 .
 This package contains common files used by the Shibboleth SP library,
 Apache module, and daemon, primarily configuration files and schemas.

Package: shibboleth-sp2-utils
Architecture: any
Multi-Arch: foreign
Depends:
 adduser,
 libshibsp-plugins (= ${binary:Version}),
 ${misc:Depends},
 ${shlibs:Depends},
Recommends:
 openssl,
Description: Federated web single sign-on system (daemon and utilities)
 The Shibboleth System is a standards based software package for web
 single sign-on across or within organizational boundaries.  It supports
 authorization and attribute exchange using the OASIS SAML 2.0 protocol.
 Shibboleth allows sites to make informed authorization decisions for
 individual access of protected online resources while allowing users to
 establish their identities with their local authentication systems.
 .
 This package contains the daemon that handles attribute requests and
 maintains session informtion for the SP.  It is used internally by the
 Apache module (libapache2-mod-shib2), but may be useful independently in
 some circumstances.  It also contains some other useful Shibboleth SP
 utility programs and the FastCGI authorizer and responder.
