=== debian/rules ===
#!/usr/bin/make -f

# Enable compiler hardening flags.
export DEB_BUILD_MAINT_OPTIONS = hardening=+all

# Add --as-needed to drop a few unnecessary dependencies.
export DEB_LDFLAGS_MAINT_APPEND = -Wl,--as-needed

DEB_HOST_MULTIARCH ?= $(shell dpkg-architecture -qDEB_HOST_MULTIARCH)

ifneq (,$(findstring noopt,$(DEB_BUILD_OPTIONS)))
    DEBUG = --enable-debug
else
    DEBUG =
endif

# Download the upstream source and do the repackaging that we have to do for
# DFSG reasons.  Depends on devscripts.  Mostly a reminder until devscripts
# version 2.15.10 enables setting these options in the watch file.
get-orig-source:
	uscan --repack --compression=xz --destdir='$(CURDIR)'

%:
	dh $@ --parallel --with apache2,autoreconf

override_dh_autoreconf:
	dh_autoreconf --as-needed

override_dh_auto_configure:
	dh_auto_configure -- \
	    --enable-apache-24 --with-apxs24=/usr/bin/apxs2 \
	    --enable-systemd \
	    --with-memcached --with-fastcgi --with-gssapi $(DEBUG)

# Move supporting scripts from the configuration directory into /usr/sbin
# and remove various configuration files that aren't of interest on Debian.
# Also move the one architecture-dependent header file into an
# architecture-specific directory.
override_dh_auto_install:
	NOKEYGEN=1 dh_auto_install
	rm -r debian/tmp/var/run
	for i in CREDITS.txt LICENSE.txt NOTICE.txt README.txt RELEASE.txt \
	    FASTCGI.LICENSE OPENSSL.LICENSE LOG4CPP.LICENSE; do \
	    rm debian/tmp/usr/share/doc/shibboleth-*/$$i; \
	done
	rm debian/tmp/etc/shibboleth/*.dist
	rm debian/tmp/etc/shibboleth/*.config
	rm debian/tmp/etc/shibboleth/shibd-amazon
	rm debian/tmp/etc/shibboleth/shibd-osx.plist
	rm debian/tmp/etc/shibboleth/shibd-redhat
	rm debian/tmp/etc/shibboleth/shibd-suse
	chmod +x debian/tmp/etc/shibboleth/keygen.sh
	mv debian/tmp/etc/shibboleth/keygen.sh debian/tmp/usr/sbin/shib-keygen
	mv debian/tmp/etc/shibboleth/metagen.sh debian/tmp/usr/bin/shib-metagen
	mv debian/tmp/etc/shibboleth/shibd-debian \
	    debian/shibboleth-sp2-utils.shibd.init
	mv debian/tmp/etc/shibboleth/shibd-systemd \
	    debian/shibboleth-sp2-utils.shibd.service
	mkdir -p debian/tmp/usr/include/$(DEB_HOST_MULTIARCH)/shibsp
	mv debian/tmp/usr/include/shibsp/paths.h \
	    debian/tmp/usr/include/$(DEB_HOST_MULTIARCH)/shibsp/

override_dh_install:
	mkdir -p debian/tmp/usr/lib/apache2/modules
	mv debian/tmp/usr/lib/*/shibboleth/mod_shib_24.so \
	    debian/tmp/usr/lib/apache2/modules/mod_shib2.so
	dh_install -s -i -X mod_shib2.so --fail-missing

UTIL_MANS:=$(patsubst %,debian/%, \
    mdquery.1 resolvertest.1 shib-metagen.1 shib-keygen.8 shibd.8)

debian/%: debian/man-pages/%.pod
	pod2man --section '$(subst .,,$(suffix $@))' --center Shibboleth \
		--release '$(word 3,$(shell ./config.status --version))' $< $@

override_dh_installman: $(UTIL_MANS)
	dh_installman -p shibboleth-sp2-utils $(UTIL_MANS)

override_dh_installdocs:
	dh_installdocs -A doc/NOTICE.txt doc/CREDITS.txt doc/RELEASE.txt doc/README.txt

override_dh_installinit:
	dh_installinit --name=shibd

override_dh_fixperms:
	dh_fixperms
	chown www-data debian/libapache2-mod-shib2/var/log/shibboleth-www

override_dh_makeshlibs:
	dh_makeshlibs -Xusr/lib/$(DEB_HOST_MULTIARCH)/shibboleth

override_dh_clean:
	dh_clean
	rm -f $(UTIL_MANS)
