## shibboleth-sp2 2.5.6+dfsg1

=== debian/changelog ===
shibboleth-sp2 (2.5.6+dfsg1-2) unstable; urgency=medium

  [ Faidon Liambotis ]
  * [db10c44] Remove myself (Faidon) from Uploaders

  [ Ferenc Wágner ]
  * [9e20440] Eliminate some path repetitions
  * [430bdd8] Simplify removal of documentation files
  * [f1a50f2] Empty directory structures don't trigger --fail-missing
  * [81f57c3] We ship the systemd service file only when it's usable
  * [4785164] Drop superfluous libssl-dev build dependency
  * [136119d] Update Standards-Version to 3.9.8 (no changes needed)
  * [9c11de5] Fix typo in README.Debian
  * [cfe5433] New patch Check-for-strerror_r-with-C-language-selected.patch
  * [91e4365] Fall back to --list-missing until #831786 is solved
    (Closes: #819416)
  * [676f4aa] /var/log/shibboleth-www is dh_installed in arch builds only

 -- Ferenc Wágner <wferi@niif.hu>  Thu, 11 Aug 2016 11:47:58 +0200

shibboleth-sp2 (2.5.6+dfsg1-1) unstable; urgency=medium

  * [60fd776] Replace obsolete libsystemd-daemon-dev B-D with libsystemd-dev
    (Closes: #813480)
  * [9dbea00] Move doxygen and graphviz into Build-Depends-Indep
  * [2dabf1d] Use systemd on Linux only
  * [f46e4ac] Rename files via dh-exec, now that we use it anyway
  * [36e1b4c] Let dh_fixperms make shib-keygen executable
  * [d90b945] New patch Add-Documentation-key-to-shibd-service-file.patch
  * [3e6b865] Install the Apache module by dh_install
  * [94c2670] Upstream version 2.5.6+dfsg1
  * [469e9f2] Remove two upstreamed patches, update the rest
  * [0047c9a] Update Standards-Version to 3.9.7 (no changes needed)
  * [cd08c31] Fix fallout from dh-exec migration

 -- Ferenc Wágner <wferi@niif.hu>  Fri, 11 Mar 2016 16:19:29 +0100
