=== debian/control ===
--- 
+++ 
@@ -5,22 +5,19 @@
 Uploaders:
  Russ Allbery <rra@debian.org>,
  Ferenc Wágner <wferi@niif.hu>,
- Faidon Liambotis <paravoid@debian.org>,
 Build-Depends:
  apache2-dev (>> 2.4.4),
  debhelper (>= 9),
  dh-apache2,
  dh-autoreconf,
- doxygen,
- graphviz,
+ dh-exec,
  libboost-dev,
  libfcgi-dev,
  libkrb5-dev,
  liblog4shib-dev,
  libmemcached-dev (>= 1.0),
  libsaml2-dev (>= 2.5),
- libssl-dev,
- libsystemd-daemon-dev,
+ libsystemd-dev [linux-any],
  libxerces-c-dev,
  libxml-security-c-dev (>= 1.7),
  libxmltooling-dev (>= 1.5),
@@ -28,7 +25,10 @@
  pkg-config,
  unixodbc-dev,
  xmltooling-schemas,
-Standards-Version: 3.9.6
+Build-Depends-Indep:
+ doxygen,
+ graphviz,
+Standards-Version: 3.9.8
 Homepage: http://shibboleth.net/
 Vcs-Git: https://anonscm.debian.org/git/pkg-shibboleth/shibboleth-sp2.git
 Vcs-Browser: https://anonscm.debian.org/cgit/pkg-shibboleth/shibboleth-sp2.git/
