## shibboleth-sp2 2.6.0+dfsg1

=== debian/changelog ===
shibboleth-sp2 (2.6.0+dfsg1-4+deb9u1) stretch-security; urgency=high

  * [bf25c5f] New patch: Security fix from V2.6.1 (SSPCPP-763)
    Thanks to Scott Cantor

 -- Ferenc Wágner <wferi@debian.org>  Tue, 14 Nov 2017 22:53:37 +0100

shibboleth-sp2 (2.6.0+dfsg1-4) unstable; urgency=medium

  [ Ferenc Wágner ]
  * [f226ae4] Fix typo in shibboleth-sp2-utils description
  * [3d458a9] /lib/lsb/init-functions is in package lsb-base (>= 3.0-6)
  * [5cab41e] New patch Increase-the-timeouts-in-the-shibd-service-file.patch.
    Increase the timeouts in the shibd service file (Closes: #840056)

  [ Etienne Dysli Metref ]
  * [9c23ecb] Add myself to uploaders
  * [5b3a209] Update dependencies to OpenSAML 2.6 and XMLTooling 1.6.
    These versions are listed in the RPM spec file as dependencies.
    Also bumped required versions of shibboleth-sp2-utils and
    shibboleth-sp2-common to 2.6 to be in sync with the source package.
  * [518aa2b] Enable shibd.service during installation.
    Add a build-dependency on dh-systemd and 'dh --with systemd' to rules.
    This restores the behaviour of enabling shibd during installation that
    we had with the sysvinit file, but not with the systemd service unit.
    (Closes: #846608)

 -- Etienne Dysli Metref <etienne.dysli-metref@switch.ch>  Thu, 08 Dec 2016 10:06:50 +0100

shibboleth-sp2 (2.6.0+dfsg1-3) unstable; urgency=medium

  * [fa3baff] Revert "Require experimental xmltooling and libsaml for matching
    C++11 strings"
    This reverts commit 04424d9e0c1329017c3a1d67f439ed93425e5969.
    Our recently uploaded dependencies (xmltooling_1.6.0-2, opensaml2_2.6.0-3)
    were compiled with the same compiler (GCC-6, because the default has already
    changed in unstable) that's going to compile us.
  * [19a977e] Migrate to my Debian address
  * Upload to unstable

 -- Ferenc Wágner <wferi@debian.org>  Sat, 03 Sep 2016 08:27:45 +0200

shibboleth-sp2 (2.6.0+dfsg1-2) experimental; urgency=medium

  * [797b5cc] In arch-only builds there's no Doxygen tag file to remove
  * [952e7ee] Don't ship the .md5 and .map files from Doxygen.
    These are generated since we use dot with Doxygen.

 -- Ferenc Wágner <wferi@niif.hu>  Thu, 01 Sep 2016 10:43:17 +0200

shibboleth-sp2 (2.6.0+dfsg1-1) experimental; urgency=medium

  * [e70419a] New upstream release (2.6.0)
  * [052a745] Refresh our patches
  * [3f021f9] Document the new -n option of shib-keygen.
    It was introduced by upstream in d94c761.
  * [4a05921] Add several patches migrating to pkg-config
  * [f830920] Ship the pkg-config files
  * [d769d38] Rename library package for upstream SONAME bump
  * [54944c3] The build system now links with the needed libraries only.
    Separating the discovered dependency libraries into specific variables
    instead of putting everything into LIBS made the --as-needed linker
    options superfluous.
  * [14eef6f] upgrade.xsl was removed upstream.
    In commit 813ecb5: Remove long outdated style sheet for config migration.
  * [21b6b88] New patch The-plugins-use-GSSAPI-only-if-the-naming-
    extensions.patch.
    The plugins use GSSAPI only if the naming extensions are available
  * [c7e8862] Include some post-2.6 upstream fixes:
    5504c79: SSPCPP-704 Fix 'assignment as boolean'
    b173bb1: Fix misspelled error message.
  * [3c1d70e] Switch gbp dch to verbose changelog entries
  * [48c995c] Update copyright years
  * [04424d9] Require experimental xmltooling and libsaml for matching C++11
    strings.
    This change will be reverted during the transition into unstable, when
    xmltooling in unstable will have already been compiled with GCC 6 as well.
  * [9c44db0] Removal of unneeded files belongs to the dh_install step
  * [ab57aac] The Doxygen tag file is unreproducible, don't ship it.
    It uses absolute paths for some reason, capturing the build directory.
  * [997236c] New patch Enable-the-dot-feature-of-Doxygen.patch.
    Enable the dot feature of Doxygen

 -- Ferenc Wágner <wferi@debian.org>  Wed, 31 Aug 2016 16:05:52 +0200
