=== debian/control ===
--- 
+++ 
@@ -4,23 +4,25 @@
 Maintainer: Debian Shib Team <pkg-shibboleth-devel@lists.alioth.debian.org>
 Uploaders:
  Russ Allbery <rra@debian.org>,
- Ferenc Wágner <wferi@niif.hu>,
+ Ferenc Wágner <wferi@debian.org>,
+ Etienne Dysli Metref <etienne.dysli-metref@switch.ch>,
 Build-Depends:
  apache2-dev (>> 2.4.4),
  debhelper (>= 9),
  dh-apache2,
  dh-autoreconf,
  dh-exec,
+ dh-systemd,
  libboost-dev,
  libfcgi-dev,
  libkrb5-dev,
  liblog4shib-dev,
  libmemcached-dev (>= 1.0),
- libsaml2-dev (>= 2.5),
+ libsaml2-dev (>= 2.6),
  libsystemd-dev [linux-any],
  libxerces-c-dev,
  libxml-security-c-dev (>= 1.7),
- libxmltooling-dev (>= 1.5),
+ libxmltooling-dev (>= 1.6),
  opensaml2-schemas,
  pkg-config,
  unixodbc-dev,
@@ -38,7 +40,7 @@
 Architecture: any
 Depends:
  libshibsp-plugins (= ${binary:Version}),
- shibboleth-sp2-utils (>= 2.5),
+ shibboleth-sp2-utils (>= 2.6),
  ${misc:Depends},
  ${shlibs:Depends},
 Description: Federated web single sign-on system (Apache module)
@@ -53,22 +55,18 @@
  (web servers providing resources protected by Shibboleth) and the
  supporting shibd daemon.
 
-Package: libshibsp6v5
+Package: libshibsp7
 Section: libs
 Architecture: any
 Multi-Arch: same
 Pre-Depends:
  ${misc:Pre-Depends},
 Depends:
- opensaml2-schemas (>= 2.5),
- shibboleth-sp2-common (>= 2.5),
- xmltooling-schemas (>= 1.5),
+ opensaml2-schemas (>= 2.6),
+ shibboleth-sp2-common (>= 2.6),
+ xmltooling-schemas (>= 1.6),
  ${misc:Depends},
  ${shlibs:Depends},
-Conflicts:
- libshibsp6,
-Replaces:
- libshibsp6,
 Description: Federated web single sign-on system (runtime)
  The Shibboleth System is a standards based software package for web
  single sign-on across or within organizational boundaries.  It supports
@@ -101,10 +99,10 @@
 Architecture: any
 Multi-Arch: same
 Depends:
- libsaml2-dev (>= 2.5),
- libshibsp6v5 (= ${binary:Version}),
+ libsaml2-dev (>= 2.6),
+ libshibsp7 (= ${binary:Version}),
  libxerces-c-dev,
- libxmltooling-dev (>= 1.5),
+ libxmltooling-dev (>= 1.6),
  ${misc:Depends},
 Suggests:
  libshibsp-doc,
@@ -158,6 +156,8 @@
 Depends:
  adduser,
  libshibsp-plugins (= ${binary:Version}),
+# the init script sources /lib/lsb/init-functions:
+ lsb-base (>= 3.0-6),
  ${misc:Depends},
  ${shlibs:Depends},
 Recommends:
@@ -171,7 +171,7 @@
  establish their identities with their local authentication systems.
  .
  This package contains the daemon that handles attribute requests and
- maintains session informtion for the SP.  It is used internally by the
+ maintains session information for the SP.  It is used internally by the
  Apache module (libapache2-mod-shib2), but may be useful independently in
  some circumstances.  It also contains some other useful Shibboleth SP
  utility programs and the FastCGI authorizer and responder.
