=== debian/rules ===
--- 
+++ 
@@ -2,9 +2,6 @@
 
 # Enable compiler hardening flags.
 export DEB_BUILD_MAINT_OPTIONS = hardening=+all
-
-# Add --as-needed to drop a few unnecessary dependencies.
-export DEB_LDFLAGS_MAINT_APPEND = -Wl,--as-needed
 
 DEB_HOST_MULTIARCH ?= $(shell dpkg-architecture -qDEB_HOST_MULTIARCH)
 
@@ -27,10 +24,7 @@
 	uscan --repack --compression=xz --destdir='$(CURDIR)'
 
 %:
-	dh $@ --parallel --with apache2,autoreconf
-
-override_dh_autoreconf:
-	dh_autoreconf --as-needed
+	dh $@ --parallel --with apache2,autoreconf,systemd
 
 override_dh_auto_configure:
 	dh_auto_configure -- \
@@ -38,26 +32,28 @@
 	    $(enable-systemd) \
 	    --with-memcached --with-fastcgi --with-gssapi $(DEBUG)
 
-# Move supporting scripts from the configuration directory into /usr/sbin
-# and remove various configuration files that aren't of interest on Debian.
-# Also move the one architecture-dependent header file into an
-# architecture-specific directory.
 override_dh_auto_install:
 	NOKEYGEN=1 dh_auto_install
-	cd debian/tmp/usr/share/doc/shibboleth-* && \
+
+docdir = debian/tmp/usr/share/doc/shibboleth-*
+override_dh_install:
+	# The necessary documentation files are installed in each binary
+	# package by dh_installdocs below.
+	cd $(docdir) && \
 	    rm CREDITS.txt LICENSE.txt NOTICE.txt README.txt RELEASE.txt \
 	       FASTCGI.LICENSE OPENSSL.LICENSE LOG4CPP.LICENSE
+	# The tag file is unreproducible (it captures the full build path),
+	# but is used as a "stamp" file during the build.
+	cd $(docdir) && rm -f api/shibboleth.tag api/html/*.md5 api/html/*.map
 	cd debian/tmp/etc/shibboleth && \
 	    rm *.dist *.config shibd-amazon shibd-osx.plist shibd-redhat shibd-suse \
 	       $(remove-service)
 	mkdir -p debian/tmp/usr/include/$(DEB_HOST_MULTIARCH)/shibsp
 	mv debian/tmp/usr/include/shibsp/paths.h \
 	    debian/tmp/usr/include/$(DEB_HOST_MULTIARCH)/shibsp/
-
+	dh_install --list-missing
 # This really should be --fail-missing, but #831786 made it impossible.
 # If no better solution emerges, I'd prefer backing out of using dh-exec.
-override_dh_install:
-	dh_install --list-missing
 
 UTIL_MANS:=$(patsubst %,debian/%, \
     mdquery.1 resolvertest.1 shib-metagen.1 shib-keygen.8 shibd.8)
