=== debian/watch ===
version=3
opts="dversionmangle=s/\+dfsg\d*$//,\
repacksuffix=+dfsg1,\
pgpsigurlmangle=s/$/.asc/" \
    http://www.shibboleth.net/downloads/service-provider/latest/ \
    shibboleth-sp-([\d.]+)\.tar\.bz2
