## shibboleth-sp2 2.6.1%2Bdfsg1

=== debian/changelog ===
shibboleth-sp2 (2.6.1+dfsg1-2) unstable; urgency=medium

  [ Etienne Dysli Metref ]
  * [2769cd5] Install upstream's default Apache 2.4 configuration.
    Install upstream's default Apache 2.4 configuration in addition to the
    module-loading directive. Notably, this configuration enables
    unrestricted access to the handler at `/Shibboleth.sso`. (Closes: #881724)
  * [7c68ed5] Install in conf-available instead of mods-available
  * [3ac4321] Mention the new shib2.conf in NEWS
  * [360c69a] Mention the new shib2.conf in README.Debian

  [ Ferenc Wágner ]
  * [f81dc2c] Update the download URL in README.Debian
  * [18edc54] Update Standards-Version to 4.1.3 (no changes required)

 -- Ferenc Wágner <wferi@debian.org>  Thu, 04 Jan 2018 17:30:38 +0100

shibboleth-sp2 (2.6.1+dfsg1-1) unstable; urgency=high

  * [a15d712] New upstream release (2.6.1)
    Security fix for CVE-2017-16852:
    Rod Widdowson of Steading System Software LLP discovered a coding error in
    the "Dynamic" metadata plugin of the Shibboleth Service Provider, causing
    the plugin to fail configuring itself with the filters provided and
    omitting whatever checks they are intended to perform.
  * [a86acfd] Remove an incorporated upstream patch, refresh the rest
  * [ceecf3a] Update Standards-Version to 4.1.1 (no changes needed)
  * [a09dc9f] The functionality of dh-systemd was merged into debhelper proper
  * [68b792b] Move repacking options into the watch file.
    We have to resort to unconditional repacking to be able to change
    the compression scheme.  However, mk-origtargz will warn if the
    file exclusion pattern does not match, so we can disable repacking
    whenever it gets unnecessary for DFSG reasons.
  * [1c10238] Drop now-unused Lintian override, #736360 is fixed in 2.5.57

 -- Ferenc Wágner <wferi@debian.org>  Mon, 20 Nov 2017 23:21:23 +0100

shibboleth-sp2 (2.6.0+dfsg1-5) unstable; urgency=medium

  * [50e20c1] Follow upstream URL change in debian/watch and debian/copyright
  * [a0b70b2] Update Standards-Version to 4.1.0.
    The "extra" priority became deprecated, promote to "optional".
    Switch to using HTTPS in the debian/copyright Format URL.

 -- Ferenc Wágner <wferi@debian.org>  Tue, 12 Sep 2017 15:01:51 +0200
