## shibboleth-sp2 2.6.1+dfsg1

=== debian/changelog ===
shibboleth-sp2 (2.6.1+dfsg1-2~bpo9+1) stretch-backports; urgency=medium

  [ Etienne Dysli Metref ]
  * [7679663] Force use of backported dependencies
    - opensaml2 >= 2.6.1-1~
    - xmltooling >= 1.6.2-1~

  [ Ferenc Wágner ]
  * Rebuild for stretch-backports.

 -- Ferenc Wágner <wferi@debian.org>  Mon, 12 Feb 2018 21:09:58 +0100
