=== debian/control ===
--- 
+++ 
@@ -1,6 +1,6 @@
 Source: shibboleth-sp2
 Section: web
-Priority: extra
+Priority: optional
 Maintainer: Debian Shib Team <pkg-shibboleth-devel@lists.alioth.debian.org>
 Uploaders:
  Russ Allbery <rra@debian.org>,
@@ -8,21 +8,20 @@
  Etienne Dysli Metref <etienne.dysli-metref@switch.ch>,
 Build-Depends:
  apache2-dev (>> 2.4.4),
- debhelper (>= 9),
+ debhelper (>= 9.20160709),
  dh-apache2,
  dh-autoreconf,
  dh-exec,
- dh-systemd,
  libboost-dev,
  libfcgi-dev,
  libkrb5-dev,
  liblog4shib-dev,
  libmemcached-dev (>= 1.0),
- libsaml2-dev (>= 2.6),
+ libsaml2-dev (>= 2.6.1-1~),
  libsystemd-dev [linux-any],
  libxerces-c-dev,
  libxml-security-c-dev (>= 1.7),
- libxmltooling-dev (>= 1.6),
+ libxmltooling-dev (>= 1.6.2-1~),
  opensaml2-schemas,
  pkg-config,
  unixodbc-dev,
@@ -30,7 +29,7 @@
 Build-Depends-Indep:
  doxygen,
  graphviz,
-Standards-Version: 3.9.8
+Standards-Version: 4.1.3
 Homepage: http://shibboleth.net/
 Vcs-Git: https://anonscm.debian.org/git/pkg-shibboleth/shibboleth-sp2.git
 Vcs-Browser: https://anonscm.debian.org/cgit/pkg-shibboleth/shibboleth-sp2.git/
@@ -40,6 +39,8 @@
 Architecture: any
 Depends:
  libshibsp-plugins (= ${binary:Version}),
+ libshibsp7 (= ${binary:Version}),
+ libxmltooling7 (>= 1.6.2-1~),
  shibboleth-sp2-utils (>= 2.6),
  ${misc:Depends},
  ${shlibs:Depends},
@@ -62,6 +63,8 @@
 Pre-Depends:
  ${misc:Pre-Depends},
 Depends:
+ libsaml9 (>= 2.6.1-1~),
+ libxmltooling7 (>= 1.6.2-1~),
  opensaml2-schemas (>= 2.6),
  shibboleth-sp2-common (>= 2.6),
  xmltooling-schemas (>= 1.6),
@@ -82,6 +85,9 @@
 Architecture: any
 Multi-Arch: same
 Depends:
+ libsaml9 (>= 2.6.1-1~),
+ libshibsp7 (= ${binary:Version}),
+ libxmltooling7 (>= 1.6.2-1~),
  ${misc:Depends},
  ${shlibs:Depends},
 Description: Federated web single sign-on system (plugins)
@@ -99,10 +105,10 @@
 Architecture: any
 Multi-Arch: same
 Depends:
- libsaml2-dev (>= 2.6),
+ libsaml2-dev (>= 2.6.1-1~),
  libshibsp7 (= ${binary:Version}),
  libxerces-c-dev,
- libxmltooling-dev (>= 1.6),
+ libxmltooling-dev (>= 1.6.2-1~),
  ${misc:Depends},
 Suggests:
  libshibsp-doc,
@@ -155,7 +161,10 @@
 Multi-Arch: foreign
 Depends:
  adduser,
+ libsaml9 (>= 2.6.1-1~),
  libshibsp-plugins (= ${binary:Version}),
+ libshibsp7 (= ${binary:Version}),
+ libxmltooling7 (>= 1.6.2-1~),
 # the init script sources /lib/lsb/init-functions:
  lsb-base (>= 3.0-6),
  ${misc:Depends},
