## shibboleth-sp2 3.0.2+dfsg0

=== debian/changelog ===
shibboleth-sp2 (3.0.2+dfsg0-0ubuntu1) cosmic; urgency=medium

  * New upstream release
  * Drop most patches, applied upstream
  * Bump build-dependencies version requirements
  * /var/log/shibboleth-www is gone
  * Bump libshibsp7 abi to libshibsp8

 -- Dimitri John Ledkov <xnox@ubuntu.com>  Mon, 01 Oct 2018 11:01:33 +0100
