=== debian/control ===
--- 
+++ 
@@ -1,7 +1,8 @@
 Source: shibboleth-sp2
 Section: web
 Priority: optional
-Maintainer: Debian Shib Team <pkg-shibboleth-devel@lists.alioth.debian.org>
+Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
+XSBC-Original-Maintainer: Debian Shib Team <pkg-shibboleth-devel@lists.alioth.debian.org>
 Uploaders:
  Russ Allbery <rra@debian.org>,
  Ferenc Wágner <wferi@debian.org>,
@@ -17,11 +18,11 @@
  libkrb5-dev,
  liblog4shib-dev,
  libmemcached-dev (>= 1.0),
- libsaml2-dev (>= 2.6.1-1~),
+ libsaml2-dev (>= 3),
  libsystemd-dev [linux-any],
- libxerces-c-dev,
- libxml-security-c-dev (>= 1.7),
- libxmltooling-dev (>= 1.6.2-1~),
+ libxerces-c-dev (>= 3.2),
+ libxml-security-c-dev (>= 2),
+ libxmltooling-dev (>= 3),
  opensaml2-schemas,
  pkg-config,
  unixodbc-dev,
@@ -39,8 +40,6 @@
 Architecture: any
 Depends:
  libshibsp-plugins (= ${binary:Version}),
- libshibsp7 (= ${binary:Version}),
- libxmltooling7 (>= 1.6.2-1~),
  shibboleth-sp2-utils (>= 2.6),
  ${misc:Depends},
  ${shlibs:Depends},
@@ -56,15 +55,13 @@
  (web servers providing resources protected by Shibboleth) and the
  supporting shibd daemon.
 
-Package: libshibsp7
+Package: libshibsp8
 Section: libs
 Architecture: any
 Multi-Arch: same
 Pre-Depends:
  ${misc:Pre-Depends},
 Depends:
- libsaml9 (>= 2.6.1-1~),
- libxmltooling7 (>= 1.6.2-1~),
  opensaml2-schemas (>= 2.6),
  shibboleth-sp2-common (>= 2.6),
  xmltooling-schemas (>= 1.6),
@@ -85,9 +82,6 @@
 Architecture: any
 Multi-Arch: same
 Depends:
- libsaml9 (>= 2.6.1-1~),
- libshibsp7 (= ${binary:Version}),
- libxmltooling7 (>= 1.6.2-1~),
  ${misc:Depends},
  ${shlibs:Depends},
 Description: Federated web single sign-on system (plugins)
@@ -105,10 +99,10 @@
 Architecture: any
 Multi-Arch: same
 Depends:
- libsaml2-dev (>= 2.6.1-1~),
- libshibsp7 (= ${binary:Version}),
- libxerces-c-dev,
- libxmltooling-dev (>= 1.6.2-1~),
+ libsaml2-dev (>= 3),
+ libshibsp8 (= ${binary:Version}),
+ libxerces-c-dev (>= 3.2),
+ libxmltooling-dev (>= 3),
  ${misc:Depends},
 Suggests:
  libshibsp-doc,
@@ -161,10 +155,7 @@
 Multi-Arch: foreign
 Depends:
  adduser,
- libsaml9 (>= 2.6.1-1~),
  libshibsp-plugins (= ${binary:Version}),
- libshibsp7 (= ${binary:Version}),
- libxmltooling7 (>= 1.6.2-1~),
 # the init script sources /lib/lsb/init-functions:
  lsb-base (>= 3.0-6),
  ${misc:Depends},
