=== debian/rules ===
--- 
+++ 
@@ -16,12 +16,6 @@
 else
     remove-service = shibd-systemd
 endif
-
-# Download the upstream source and do the repackaging that we have to do for
-# DFSG reasons.  Depends on devscripts.  Mostly a reminder until devscripts
-# version 2.15.10 enables setting these options in the watch file.
-get-orig-source:
-	uscan --repack --compression=xz --destdir='$(CURDIR)'
 
 %:
 	dh $@ --parallel --with apache2,autoreconf,systemd
@@ -74,10 +68,6 @@
 	dh_installinit -p shibboleth-sp2-utils --name=shibd --noscripts
 	dh_installinit -p shibboleth-sp2-utils --name=shibd --onlyscripts
 
-override_dh_fixperms-arch:
-	dh_fixperms
-	chown www-data debian/libapache2-mod-shib2/var/log/shibboleth-www
-
 override_dh_makeshlibs:
 	dh_makeshlibs -Xusr/lib/$(DEB_HOST_MULTIARCH)/shibboleth
